summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-admin/usermin/files/usermin-init')
-rw-r--r--app-admin/usermin/files/usermin-init78
1 files changed, 78 insertions, 0 deletions
diff --git a/app-admin/usermin/files/usermin-init b/app-admin/usermin/files/usermin-init
new file mode 100644
index 000000000000..43a0e06273ed
--- /dev/null
+++ b/app-admin/usermin/files/usermin-init
@@ -0,0 +1,78 @@
+#!/bin/sh
+# chkconfig: 235 99 10
+# description: Start or stop the Usermin server
+#
+### BEGIN INIT INFO
+# Provides: usermin
+# Required-Start: $network
+# Required-Stop: $network
+# Default-Start: 2 3 5
+# Default-Stop: 0 1 6
+# Description: Start or stop the Usermin server
+### END INIT INFO
+
+start=/etc/usermin/start
+stop=/etc/usermin/stop
+lockfile=/var/lock/subsys/usermin
+confFile=/etc/usermin/miniserv.conf
+pidFile=/var/usermin/miniserv.pid
+etc_dir=/etc/usermin
+name='Usermin'
+
+case "$1" in
+'start')
+ $start >/dev/null 2>&1 </dev/null
+ RETVAL=$?
+ if [ "$RETVAL" = "0" ]; then
+ touch $lockfile >/dev/null 2>&1
+ fi
+ ;;
+'stop')
+ $stop
+ RETVAL=$?
+ if [ "$RETVAL" = "0" ]; then
+ rm -f $lockfile
+ fi
+ ;;
+'status')
+ pidfile=`grep "^pidfile=" $confFile | sed -e 's/pidfile=//g'`
+ if [ "$pidfile" = "" ]; then
+ pidfile=$pidFile
+ fi
+ if [ -s $pidfile ]; then
+ pid=`cat $pidfile`
+ kill -0 $pid >/dev/null 2>&1
+ if [ "$?" = "0" ]; then
+ echo "$name (pid $pid) is running"
+ RETVAL=0
+ else
+ echo "$name is stopped"
+ RETVAL=1
+ fi
+ else
+ echo "$name is stopped"
+ RETVAL=1
+ fi
+ ;;
+'restart')
+ $stop && $start
+ RETVAL=$?
+ ;;
+'setup')
+ echo "Entering $etc_dir .."
+ cd $etc_dir
+ echo "..done"
+ echo ""
+ echo "Etering Setup ..."
+ ./setup.sh
+ echo "..done"
+ echo ""
+ ;;
+
+*)
+ echo "Usage: $0 { start | stop | restart | setup }"
+ RETVAL=1
+ ;;
+esac
+exit $RETVAL
+